html,
body {
    margin: 0;
    padding: 0;
}

#tetris {
    position: relative;
    width: 310px;
    height: 309px;
    background: #fff;
    border: #111155 1px solid;
    font-size: 11px;
    line-height: 1.2em;
}

#tetris .left {
    background: #e3eff5;
    position: absolute;
    width: 141px;
    height: 100%;
    left: 0px;
    top: 0px;
}

.left-border {
    background: #111155;
    position: absolute;
    z-index: 100;
    top: 0px;
    left: 140px;
    width: 1px;
    height: 100%;
}

#tetris-area {
    /* 168,308 +2px    borders    */
    background: #fff;
    position: absolute;
    width: 167px;
    height: 307px;
    left: 142px;
    top: 1px;
    overflow: hidden;
}

.grid1,
.grid2,
.grid3,
.grid4,
.grid5,
.grid6 {
    z-index: 10;
    position: absolute;
    top: 0px;
    width: 13px;
    height: 307px;
    background: #E0E0E0;
}

.grid1 {
    left: 14px;
}

.grid2 {
    left: 42px;
}

.grid3 {
    left: 70px;
}

.grid4 {
    left: 98px;
}

.grid5 {
    left: 126px;
}

.grid6 {
    left: 154px;
}

#tetris .block0,
#tetris .block1,
#tetris .block2,
#tetris .block3,
#tetris .block4,
#tetris .block5,
#tetris .block6 {
    z-index: 1000;
    line-height: 1em;
    font-family: arial;
    position: absolute;
    width: 13px;
    height: 13px;
    border: 0.5px solid #ffffff;
    /* with    margin 0.5px there were    problems with offsetLeft and offsetTop */
}

#tetris .left h1,
#tetris .left h2 {
    color: #826C55;
    font-size: 11px;
    font-family: "trebuchet	ms", arial;
    font-weight: bold;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px;
}

#tetris .left h1 a {
    color: #3366cc;
    text-decoration: none;
}

#tetris .left h1 a:hover {
    color: #FF6600;
    text-decoration: none;
}

/* menu    */

#tetris .left .menu {
    margin-top: 1em;
    line-height: 1.2em;
    color: #3366cc;
}

#tetris .menu a,
#tetris .menu a:visited {
    display: block;
    text-decoration: none;
    color: #ffffff;
    background: #3686ae;
    border-width: 1px;
    margin-bottom: 2px;
    border-style: solid;
    border-color: #111155;
    cursor: pointer;
    text-align: left;
    padding-left: 8px;
    padding-right: 8px;
    height: 19px;
    width: 78px;
    padding-bottom: 0px;
    margin-left: 24px;
    line-height: 1.6em;
    font-weight: bold;
    box-shadow: 1px 2px 3px 2px #71aac7 inset;
}

#tetris .menu a:hover {
    background: #a9e2ff;
    color: #333333;
    line-height: 1.6em;
    font-weight: bold;
}

/* game    over */

#tetris-gameover {
    position: absolute;
    width: 100%;
    top: 50%;
    text-align: center;
    font-weight: bold;
    display: none;
}

/* next    puzzle */
#tetris-nextpuzzle {
    position: absolute;
    top: 47%;
    left: 35%;
    background: #ffffff;
    overflow: visible;
    display: none;
}

#tetris-keys {
    position: absolute;
    left: 25px;
    top: 135px;
    line-height: 1.2em;
    color: #3366cc;
}

#tetris-keys-content {
    display: inline-grid;
    grid-template-columns: auto auto auto auto;
    padding-right: 1px;
    padding-bottom: 1px;
    color: #002373;
    width: 100%
}

#tetris-keys-content div {
    align-self: center;
    margin: 1px;
}


#tetris-keys-content .navigation {
    text-align: center;
    height: 1.2em;
    background: #3686ae;
    border-width: 1px;
    border-style: solid;
    border-color: #111155;
    color: #fff;
    font-weight: bold;
    box-shadow: 1px 2px 3px 2px #71aac7 inset;
}

#tetris-keys-content .arrow {
    width: 1.2em;
}

#tetris div.h5 {
    margin-bottom: 0.5em;
    display: block;
    font-weight: bold;
}

#tetris-keys img {
    border-width: 0px;
}

/* stats */

#tetris-statscontent {
    display: inline-grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto;

    padding-bottom: 1px;
    line-height: 1.25em;
    color: #002373;
}

#tetris .left .stats {
    position: absolute;
    left: 25px;
    bottom: 5px;
    line-height: 1.2em;
    color: #3366cc;
}

#tetris-statscontent .level {
    text-align: left;
    padding-right: 5px;
}

#tetris-stats-level {
    font-weight: bold;
}

#tetris-statscontent .time {
    text-align: left;
    padding-right: 5px;
}

#tetris-stats-time {
    font-weight: bold;
}

#tetris-statscontent .apm {
    text-align: left;
    padding-right: 5px;
}

#tetris-stats-apm {
    font-weight: bold;
}

#tetris-statscontent .lines {
    text-align: left;
    padding-right: 5px;
}

#tetris-stats-lines {
    font-weight: bold;
}

#tetris-statscontent .score {
    text-align: left;
    padding-right: 5px;
}

#tetris-stats-score {
    font-weight: bold;
}


/*
    |
    ---
*/
#tetris .block1 {
    background: #32a4fa;
}

/*
      |
    ---
*/
#tetris .block0 {
    background: #38C44F;
}



/*
    --
   --
*/
#tetris .block2 {
    background: #FFAC1C;
}

/*
    --
     --
*/
#tetris .block3 {
    background: #FF6600;
}

/*
    |
   ---
*/
#tetris .block4 {
    background: #CC54C4;
}

/*
    --
    --
*/
#tetris .block5 {
    background: #006699;
}

/*
    ----
*/
#tetris .block6 {
    background: #FF0000;
}


/*** window    ***/

#tetris .window {
    background: #dee9ef;
    position: absolute;
    width: 167px;
    height: 307px;
    left: 142px;
    top: 1px;
    z-index: 50000;
    display: none;
}

#tetris .window .top {
    position: relative;
    background: #d1e2ea;
    color: #3366cc;
    height: 20px;
    line-height: 20px;
    vertical-align: middle;
    border-bottom: 1px solid #ffffff;
    text-indent: 10px;
    font-weight: bold;
}

#tetris .window .top .close {
    position: absolute;
    background: #d1e2ea;
    font-family: verdana;
    font-weight: bold;
    right: 0px;
    top: 0px;
    height: 20px;
    line-height: 19px;
    text-indent: 7px;
    width: 21px;
    border-left: 1px solid #ffffff;
    cursor: pointer;
}

#tetris .window .top .close:hover {
    background: #dee9ef;
}

#tetris .window .content {
    margin: 10px;
}

#tetris .window .content table {}

#tetris-highscores-content table {
    margin: 0px;
    padding: 0px;
    border: none;
    width: 70%;
    box-shadow: none;
}

#tetris-highscores-content th {
    padding-bottom: 1px;
    line-height: 1.25em;
    color: white;
    background-color: #3686ae;
    border: none;
    padding: 2px;
    text-align: left;
}


#tetris-highscores-content td {
    padding-bottom: 1px;
    line-height: 1.25em;
    color: #002373;
    background-color: #dee9ef;
    border: none;
    padding: 2px;
}
